package com.quant.entity;

import java.sql.Date;

public class Meeting {
	private Integer id;
	private Integer meetingId;
	private String title;
	private String agenda;
	private String description;
	private Integer province;
	private Integer city;
	private String address;
	private String enrollInfo;
	private String organizer;
	private String openDate;
	private Date pubTime;
	private String mthumbnail;
	private String thumbnail;
	private String keyword;
	private String summary;
	private Integer viewCount;
	private Integer status;
	private String guest;
	private String contact;
	private String addressInfo;
	private String organizerSecondary;
	private String organizerThird;
	private String exurl;
	
	
	public String getAddressInfo() {
		return addressInfo;
	}
	public void setAddressInfo(String addressInfo) {
		this.addressInfo = addressInfo;
	}
	public String getGuest() {
		return guest;
	}
	public void setGuest(String guest) {
		this.guest = guest;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getOpenDate() {
		return openDate;
	}
	public void setOpenDate(String openDate) {
		this.openDate = openDate;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getMeetingId() {
		return meetingId;
	}
	public void setMeetingId(Integer meetingId) {
		this.meetingId = meetingId;
	}
	public String getAgenda() {
		return agenda;
	}
	public void setAgenda(String agenda) {
		this.agenda = agenda;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Integer getProvince() {
		return province;
	}
	public void setProvince(Integer province) {
		this.province = province;
	}
	public Integer getCity() {
		return city;
	}
	public void setCity(Integer city) {
		this.city = city;
	}
	public String getAddress() {
		return address;
	}
	public void setAddress(String address) {
		this.address = address;
	}
	public String getEnrollInfo() {
		return enrollInfo;
	}
	public void setEnrollInfo(String enrollInfo) {
		this.enrollInfo = enrollInfo;
	}
	public String getOrganizer() {
		return organizer;
	}
	public void setOrganizer(String organizer) {
		this.organizer = organizer;
	}
	public Date getPubTime() {
		return pubTime;
	}
	public void setPubTime(Date pubTime) {
		this.pubTime = pubTime;
	}
	public String getMthumbnail() {
		return mthumbnail;
	}
	public void setMthumbnail(String mthumbnail) {
		this.mthumbnail = mthumbnail;
	}
	public String getThumbnail() {
		return thumbnail;
	}
	public void setThumbnail(String thumbnail) {
		this.thumbnail = thumbnail;
	}
	public String getKeyword() {
		return keyword;
	}
	public void setKeyword(String keyword) {
		this.keyword = keyword;
	}
	public String getSummary() {
		return summary;
	}
	public void setSummary(String summary) {
		this.summary = summary;
	}
	public Integer getViewCount() {
		return viewCount;
	}
	public void setViewCount(Integer viewCount) {
		this.viewCount = viewCount;
	}
	public Integer getStatus() {
		return status;
	}
	public void setStatus(Integer status) {
		this.status = status;
	}
	public String getOrganizerSecondary() {
		return organizerSecondary;
	}

	public void setOrganizerSecondary(String organizerSecondary) {
		this.organizerSecondary = organizerSecondary;
	}

	public String getOrganizerThird() {
		return organizerThird;
	}

	public void setOrganizerThird(String organizerThird) {
		this.organizerThird = organizerThird;
	}
	public Meeting() {
		super();
		// TODO Auto-generated constructor stub
	}
	public Meeting(Integer id, Integer meetingId, String title, String agenda,
			String description, Integer province, Integer city, String address,
			String enrollInfo, String organizer, String openDate, Date pubTime,
			String mthumbnail, String thumbnail, String keyword,
			String summary, Integer viewCount, Integer status, String guest,
			String addressInfo, String organizerSecondary, String organizerThird) {
		super();
		this.id = id;
		this.meetingId = meetingId;
		this.title = title;
		this.agenda = agenda;
		this.description = description;
		this.province = province;
		this.city = city;
		this.address = address;
		this.enrollInfo = enrollInfo;
		this.organizer = organizer;
		this.openDate = openDate;
		this.pubTime = pubTime;
		this.mthumbnail = mthumbnail;
		this.thumbnail = thumbnail;
		this.keyword = keyword;
		this.summary = summary;
		this.viewCount = viewCount;
		this.status = status;
		this.guest = guest;
		this.addressInfo = addressInfo;
		this.organizerSecondary = organizerSecondary;
		this.organizerThird = organizerThird;
	}
	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((id == null) ? 0 : id.hashCode());
		return result;
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Meeting other = (Meeting) obj;
		if (id == null) {
			if (other.id != null)
				return false;
		} else if (!id.equals(other.id))
			return false;
		return true;
	}
	@Override
	public String toString() {
		return "Meeting [id=" + id + ", meetingId=" + meetingId + ", title="
				+ title + ", agenda=" + agenda + ", description=" + description
				+ ", province=" + province + ", city=" + city + ", address="
				+ address + ", enrollInfo=" + enrollInfo + ", organizer="
				+ organizer + ", openDate=" + openDate + ", pubTime=" + pubTime
				+ ", mthumbnail=" + mthumbnail + ", thumbnail=" + thumbnail
				+ ", keyword=" + keyword + ", summary=" + summary
				+ ", viewCount=" + viewCount + ", status=" + status
				+ ", guest=" + guest + ", addressInfo=" + addressInfo
				+ ", organizerSecondary=" + organizerSecondary
				+ ", organizerThird=" + organizerThird + "]";
	}
	public String getContact() {
		return contact;
	}
	public void setContact(String contact) {
		this.contact = contact;
	}
	public String getExurl() {
		return exurl;
	}
	public void setExurl(String exurl) {
		this.exurl = exurl;
	}
	
	
	
	
}
